#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Cache
%define		pnam	FastMmap
%include	/usr/lib/rpm/macros.perl
Summary:	Cache::FastMmap - Uses an mmap'ed file to act as a shared memory interprocess cache
Summary(pl.UTF-8):	Cache::FastMmap - użycie mmapowanego pliku jako współdzielonej pamięci podręcznej
Name:		perl-Cache-FastMmap
Version:	1.40
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e0929ba556c629a43f5d65a2b6cb9a2f
URL:		http://search.cpan.org/dist/Cache-FastMmap/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Uses an mmap'ed file to act as a shared memory interprocess cache.

%description -l pl.UTF-8
Ten moduł pozwala na używanie mmapowanego pliku jako pamięci
podręcznej współdzielonej między procesami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Cache/*.pm
%dir %{perl_vendorarch}/auto/Cache/FastMmap
%attr(755,root,root) %{perl_vendorarch}/auto/Cache/FastMmap/FastMmap.so
%{_mandir}/man3/*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Cache-FastMmap.git;a=log;h=master

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> a34a14d
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 25f48b5
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c0401b9
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> b0e7918
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 30b5493
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ad67b56
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ea8acfb
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> dffafee
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f5b1cbe
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f92b86c
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> dbdf809
- up to 1.40

* Mon Jul 11 2011 marti <marti@pld-linux.org> 27c1dc1
- up to 1.36

* Mon Jan 03 2011 Elan Ruusamäe <glen@pld-linux.org> d7190a4
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 43f1ad6
- release 2

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 3eaf766
- updated to 1.34

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> f80e9d9
- updated to 1.30

* Sun Mar 02 2008 radek <radek@pld-linux.org> bc87c9a
- version 1.25

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 53ff997
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 064fbd9
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> e61d1f6
- up to 1.24

